## zookeeper 3.4.13

=== src/c/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.6)

project(zookeeper VERSION 3.4.13)
set(email user@zookeeper.apache.org)
set(description "zookeeper C client")

# general options
include_directories(include tests generated ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
if(UNIX)
  add_compile_options(-Wall -fPIC)
elseif(WIN32)
  add_compile_options(/W3)
endif()
add_definitions(-DUSE_STATIC_LIB)

# TODO: Enable /WX and /W4 on Windows. Currently there are ~1000 warnings.
# TODO: Add Solaris support.
# TODO: Add a shared library option.
# TODO: Specify symbols to export.
# TODO: Generate doxygen documentation.

# Sync API option
option(WANT_SYNCAPI "Enables Sync API support" ON)
if(WANT_SYNCAPI)
  add_definitions(-DTHREADED)
  if(WIN32)
    # Note that the generator expression ensures that `/MTd` is used when Debug
    # configurations are built.
    add_compile_options(/MT$<$<CONFIG:Debug>:d>)
  endif()
endif()

# CppUnit option
if(WIN32 OR APPLE)
  # The tests do not yet compile on Windows or macOS,
  # so we set this to off by default.
  #
  # Note that CMake does not have expressions except in conditionals,
  # so we're left with this if/else/endif pattern.
  set(DEFAULT_WANT_CPPUNIT OFF)
else()
  set(DEFAULT_WANT_CPPUNIT ON)
endif()
option(WANT_CPPUNIT "Enables CppUnit and tests" ${DEFAULT_WANT_CPPUNIT})

# The function `to_have(in out)` converts a header name like `arpa/inet.h`
# into an Autotools style preprocessor definition `HAVE_ARPA_INET_H`.
# This is then set or unset in `configure_file()` step.
#
# Note that CMake functions do not have return values; instead an "out"
# variable must be passed, and explicitly set with parent scope.
function(to_have in out)
  string(TOUPPER ${in} str)
  string(REGEX REPLACE "/|\\." "_" str ${str})
  set(${out} "HAVE_${str}" PARENT_SCOPE)
endfunction()

# include file checks
foreach(f generated/zookeeper.jute.h generated/zookeeper.jute.c)
  if(EXISTS "${CMAKE_SOURCE_DIR}/${f}")
    to_have(${f} name)
    set(${name} 1)
  else()
    message(FATAL_ERROR
      "jute files are missing!\n"
      "Please run 'ant compile_jute' while in the ZooKeeper top level directory.")
  endif()
endforeach()

# header checks
include(CheckIncludeFile)
set(check_headers
  arpa/inet.h
  dlfcn.h
  fcntl.h
  inttypes.h
  memory.h
  netdb.h
  netinet/in.h
  stdint.h
  stdlib.h
  string.h
  strings.h
  sys/socket.h
  sys/stat.h
  sys/time.h
  sys/types.h
  unistd.h
  sys/utsname.h)

foreach(f ${check_headers})
  to_have(${f} name)
  check_include_file(${f} ${name})
endforeach()

# function checks
include(CheckFunctionExists)
set(check_functions
  getcwd
  gethostbyname
  gethostname
  getlogin
  getpwuid_r
  gettimeofday
  getuid
  memmove
  memset
  poll
  socket
  strchr
  strdup
  strerror
  strtol)

foreach(fn ${check_functions})
  to_have(${fn} name)
  check_function_exists(${fn} ${name})
endforeach()

# library checks
set(check_libraries rt m pthread)
foreach(lib ${check_libraries})
  to_have("lib${lib}" name)
  find_library(${name} ${lib})
endforeach()

# IPv6 check
include(CheckStructHasMember)
check_struct_has_member("struct sockaddr_in6" sin6_addr "netinet/in.h" ZOO_IPV6_ENABLED)

# configure
configure_file(cmake_config.h.in ${CMAKE_SOURCE_DIR}/include/config.h)

# hashtable library
set(hashtable_sources src/hashtable/hashtable_itr.c src/hashtable/hashtable.c)
add_library(hashtable STATIC ${hashtable_sources})
target_link_libraries(hashtable PUBLIC $<$<PLATFORM_ID:Linux>:m>)

# zookeeper library
set(zookeeper_sources
  src/zookeeper.c
  src/recordio.c
  generated/zookeeper.jute.c
  src/zk_log.c
  src/zk_hashtable.c)

if(WANT_SYNCAPI)
  list(APPEND zookeeper_sources src/mt_adaptor.c)
else()
  list(APPEND zookeeper_sources src/st_adaptor.c)
endif()

if(WIN32)
  list(APPEND zookeeper_sources src/winport.c)
endif()

add_library(zookeeper STATIC ${zookeeper_sources})
target_link_libraries(zookeeper PUBLIC
  hashtable
  $<$<PLATFORM_ID:Linux>:rt> # clock_gettime
  $<$<PLATFORM_ID:Windows>:ws2_32>) # Winsock 2.0

if(WANT_SYNCAPI AND NOT WIN32)
  find_package(Threads REQUIRED)
  target_link_libraries(zookeeper PUBLIC Threads::Threads)
endif()

# cli executable
add_executable(cli src/cli.c)
target_link_libraries(cli zookeeper)

# load_gen executable
if(WANT_SYNCAPI AND NOT WIN32)
  add_executable(load_gen src/load_gen.c)
  target_link_libraries(load_gen zookeeper)
endif()

# tests
set(test_sources
  tests/TestDriver.cc
  tests/LibCMocks.cc
  tests/LibCSymTable.cc
  tests/MocksBase.cc
  tests/ZKMocks.cc
  tests/Util.cc
  tests/ThreadingUtil.cc
  tests/TestZookeeperInit.cc
  tests/TestZookeeperClose.cc
  tests/TestClientRetry.cc
  tests/TestOperations.cc
  tests/TestMulti.cc
  tests/TestWatchers.cc
  tests/TestClient.cc)

if(WANT_SYNCAPI)
  list(APPEND test_sources tests/PthreadMocks.cc)
endif()

if(WANT_CPPUNIT)
  add_executable(zktest ${test_sources})
  target_compile_definitions(zktest
    PRIVATE -DZKSERVER_CMD="${CMAKE_SOURCE_DIR}/tests/zkServer.sh")
  # TODO: Use `find_library()` for `cppunit`.
  target_link_libraries(zktest zookeeper cppunit dl)

  # This reads the link flags from the file `tests/wrappers.opt` into
  # the variable `symbol_wrappers` for use in `target_link_libraries`.
  # It is a holdover from the original build system.
  file(STRINGS tests/wrappers.opt symbol_wrappers)
  if(WANT_SYNCAPI)
    file(STRINGS tests/wrappers-mt.opt symbol_wrappers_mt)
  endif()

  target_link_libraries(zktest ${symbol_wrappers} ${symbol_wrappers_mt})

  enable_testing()
  add_test(NAME zktest_runner COMMAND zktest)
  set_property(TEST zktest_runner PROPERTY ENVIRONMENT
    "ZKROOT=${CMAKE_SOURCE_DIR}/../.."
    "CLASSPATH=$CLASSPATH:$CLOVER_HOME/lib/clover.jar")
endif()

## zookeeper 3.2.2+dfsg3

=== debian/changelog ===
zookeeper (3.2.2+dfsg3-3) unstable; urgency=low

  * remove /var/run/zookeeper when purging the package
  * zookeeperd.init creates /var/run/zookeeper now (Closes: #569972)
  * cronjob to purge old zookeeper data
  * more elaborate config example
  * superfluous /var/run/zookeeper entry in zookeeper.dirs
  * fix lintian tag debian-rules-ignores-make-clean-error
  * don't install executables to /usr/bin without manpages and proper
    names
  * Use Built-in functions for atomic memory access instead of 
    hard-coded assembler. Thx Matthias Klose. Closes: #568618.
  * move executables to /usr/lib/... instead of /usr/share/...

 -- Thomas Koch <thomas.koch@ymc.ch>  Wed, 24 Feb 2010 15:02:09 +0100

zookeeper (3.2.2+dfsg3-2) unstable; urgency=low

  * Build C and Python bindings. Thanks to Matthias Klose.
  * Corrected dependencies versions in debian/control.

 -- Thomas Koch <thomas.koch@ymc.ch>  Thu, 28 Jan 2010 12:07:38 +0100

zookeeper (3.2.2+dfsg3-1) unstable; urgency=low

  * New repackaging after FTP rejection due to overseen license issues.
  * New repackaging of upstream tarball to exclude generated code. 
  * Initial release. (Closes: #561947)

 -- Thomas Koch <thomas.koch@ymc.ch>  Fri, 27 Jan 2010 16:41:22 +0100

=== debian/control ===
Source: zookeeper
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Koch <thomas.koch@ymc.ch>
Homepage: http://hadoop.apache.org/zookeeper
Vcs-Browser: http://git.debian.org/?p=pkg-java/zookeeper.git
Vcs-Git: git://git.debian.org/pkg-java/zookeeper.git
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.4.11), javahelper (>= 0.28), default-jdk (>= 1.6),
 ant (>= 1.6.0), liblog4j1.2-java (>> 1.2.15-8), junit4, libxerces2-java,
 libjline-java, javacc, default-jdk-doc, python-all-dev, python-support
XS-Python-Version: all

Package: libzookeeper-java
Architecture: all
Depends: ${misc:Depends}, liblog4j1.2-java (>> 1.2.15-8), libxerces2-java,
 libjline-java
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the java .jar files.

Package: zookeeper
Architecture: all
Depends: ${misc:Depends}, libzookeeper-java (= ${binary:Version}),
 default-jre-headless | java6-runtime-headless, adduser
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the shell scripts and an example configuration but does
 not automatically start up the service. The example configuration is installed
 with the update-alternatives mechanism.

Package: zookeeperd
Architecture: all
Depends: ${misc:Depends}, zookeeper (= ${binary:Version}), lsb-base (>= 3.2-14)
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains init.d scripts to start and stop zookeeper and starts
 zookeeper on installation.

Package: libzookeeper-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libzookeeper-java (= ${binary:Version})
Description: API-Documentation for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.

Package: libzookeeper2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the runtime files for the C bindings.

Package: libzookeeper-dev
Architecture: any
Section: libdevel
Depends: libzookeeper2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the development files for the C bindings.

Package: zookeeper-bin
Architecture: any
Section: misc
Depends: libzookeeper2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains additional zookeeper command line utilities using the C
 binding. See the "zookeeper" package for command line utilities using the java
 binding.

Package: python-zookeeper
Architecture: any
Section: python
XB-Python-Version: ${python:Versions}
Depends: libzookeeper2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Information management inside a cluster. Part of the hadoop family.
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java/
export CLASSPATH=lib/*:build/classes:debian/_jh_build.zookeeper

PYVERS := $(shell pyversions -vr)

%:
	dh --with javahelper $@

override_dh_auto_build:
	javacc -OUTPUT_DIRECTORY=src/java/main/org/apache/jute/compiler/generated src/java/main/org/apache/jute/compiler/generated/rcc.jj
	# the upstream build file includes .java files in the jars. Let's create the jars ourselves.
	# see: https://issues.apache.org/jira/browse/ZOOKEEPER-537
	ant -propertyfile debian/ant.properties -buildfile debian/build-override.xml build-generated
	mkdir -p debian/_jh_build.zookeeper
	mv build/classes/org debian/_jh_build.zookeeper

	cd src/c && ./configure --prefix=/usr
	$(MAKE) -C src/c
	cd src/contrib/zkpython && \
	  for pv in $(PYVERS); do \
	    python$$pv src/python/setup.py build --build-base=$(CURDIR)/build ;\
	  done
	# the rest gets compiled by jh_build
	    # ant compile -Dinstall.dir=$(CURDIR)/debian/tmp -Dpython.exe=python$$pv; \

override_dh_install:
	$(MAKE) -C src/c install DESTDIR=$(CURDIR)/debian/tmp
	cd src/contrib/zkpython && \
	  for pv in $(PYVERS); do \
	    python$$pv src/python/setup.py build --build-base=$(CURDIR)/build \
	               install --root=$(CURDIR)/debian/tmp --install-layout=deb ;\
	  done
	dh_install

override_jh_build:
	jh_build --no-javadoc
	javadoc -link /usr/share/doc/default-jdk-doc/api/ -classpath ${CLASSPATH}:debian/lib -d debian/_jh_build.javadoc/api -quiet -sourcepath src/java/main:src/contrib/bookkeeper/src/java -subpackages org.apache.jute:org.apache.zookeeper:org.apache.bookkeeper

override_dh_auto_test:
	# src/c/tests/TestClient.cc:298: Assertion: equality assertion failed [Expected: -101, Actual  : -4]
	#ant -propertyfile debian/ant.properties -buildfile debian/build-override.xml test-core
	#Testsuite runs ~15 min on my machine. Seems too much for the Debian build daemons
	#ant -propertyfile debian/ant.properties -buildfile debian/build-override.xml test-core-java

override_dh_clean:
	dh_clean --exclude=src
	jh_clean

# the original build.xml deletes too much
override_dh_auto_clean:
	dh_testdir
	rm -rf .revision
	rm -rf build
	rm -rf src/c/generated
	rm -rf src/java/generated
	rm -rf src/java/main/org/apache/jute/compiler/generated/*.java
	rm -f zookeeper*.jar
	#The following line caused lintian tag debian-rules-ignores-make-clean-error
	#-$(MAKE) -C src/c distclean
	#replaced by
	[ ! -f src/c/Makefile ] || $(MAKE) -C src/c distclean
	rm -f src/c/config.log src/c/config.status

override_dh_installdocs:
	dh_installdocs --link-doc=libzookeeper-java \
	  -plibzookeeper-java -pzookeeper -pzookeeperd -plibzookeeper-java-doc
	dh_installdocs --link-doc=libzookeeper2 \
	  -plibzookeeper2 -plibzookeeper-dev -pzookeeper-bin -ppython-zookeeper

override_dh_installinit:
	dh_installinit -d

# jh_depends fails for me:
# - I can not specify, that I need a minimal version of log4j
# - It unnecesseraly pulls libjaxp1.3-java in Depends, although this is only a
#   transitiv dependency of libxerces2-java
override_jh_depends:
	true

## zookeeper 3.3.1+dfsg1

=== debian/changelog ===
zookeeper (3.3.1+dfsg1-2) unstable; urgency=low

  * FIX: cronjob, init.d fail after package removal. Closes: #582757

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 01 Jun 2010 13:25:34 +0200

zookeeper (3.3.1+dfsg1-1) unstable; urgency=low

  * new upstream version
  * started over testing a new git layout for packaging

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 18 May 2010 09:36:16 +0200

zookeeper (3.3.0+dfsg1-1) unstable; urgency=low

  * new upstream version
  * packaged zooinspector contrib
  * packages zktreeutil contrib
  * Made debian/rules a bit more sane

 -- Thomas Koch <thomas.koch@ymc.ch>  Tue, 27 Apr 2010 13:52:30 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
 Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 7.4.11), javahelper (>= 0.28), default-jdk (>= 1.6),
  ant (>= 1.6.0), liblog4j1.2-java (>> 1.2.15-8), junit4, libxerces2-java,
- libjline-java, javacc, default-jdk-doc, python-all-dev, python-support
+ libjline-java, libnetty-java, javacc, default-jdk-doc, python-all-dev, python-support,
+ libboost-dev, libxml2-dev, liblog4cxx10-dev, autoconf, help2man, libtool, automake,
+ libcppunit-dev
 XS-Python-Version: all
 
 Package: libzookeeper-java
 Architecture: all
 Depends: ${misc:Depends}, liblog4j1.2-java (>> 1.2.15-8), libxerces2-java,
- libjline-java
+ libjline-java, libnetty-java
 Description: Information management inside a cluster. Part of the hadoop family.
  ZooKeeper is a centralized, reliable, service for maintaining configuration
  information, naming, providing distributed synchronization, and group

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java/
#export CLASSPATH=lib/*:build/classes:debian/_jh_build.zookeeper

PYVERS := $(shell pyversions -vr)

%:
	dh --with javahelper $@

override_dh_auto_build:
	# TODO exclude the fatjar contrib from upstream tarball and include the rest contrib
	mkdir -p build/test/classes
	javacc -OUTPUT_DIRECTORY=src/java/main/org/apache/jute/compiler/generated src/java/main/org/apache/jute/compiler/generated/rcc.jj
	# the upstream build file includes .java files in the jars. Let's create the jars ourselves.
	# see: https://issues.apache.org/jira/browse/ZOOKEEPER-537
	ant -Dversion=3.3.1 -DlastRevision=-1 javadoc javadoc-dev jar

	# compile C library
	cd src/c && autoreconf -i
	cd src/c && ./configure --prefix=/usr
	$(MAKE) -C src/c

	# compile contribs
	cd src/contrib && ant -Dversion=3.3.1 -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="bookkeeper/build.xml"
	cd src/contrib && ant -Dversion=3.3.1 -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="zooinspector/build.xml"

	cd src/contrib/zkpython && \
	  for pv in $(PYVERS); do \
	    python$$pv src/python/setup.py build --build-base=$(CURDIR)/build ;\
	  done
	# compile zktreeutil
	cd src/contrib/zktreeutil && autoreconf -if && ./configure && make
	LD_LIBRARY_PATH=src/c/.libs help2man -N --version-string=0.0 src/contrib/zktreeutil/src/zktreeutil >zktreeutil.man

override_dh_install:
	$(MAKE) -C src/c install DESTDIR=$(CURDIR)/debian/tmp
	cd src/contrib/zkpython && \
	  for pv in $(PYVERS); do \
	    python$$pv src/python/setup.py build --build-base=$(CURDIR)/build \
	               install --root=$(CURDIR)/debian/tmp --install-layout=deb ;\
	  done
	dh_install

#override_jh_build:
#	jh_build --no-javadoc
#	javadoc -link /usr/share/doc/default-jdk-doc/api/ -classpath ${CLASSPATH}:debian/lib -d debian/_jh_build.javadoc/api -quiet -sourcepath src/java/main:src/contrib/bookkeeper/src/java -subpackages org.apache.jute:org.apache.zookeeper:org.apache.bookkeeper

override_dh_auto_test:
	# src/c/tests/TestClient.cc:298: Assertion: equality assertion failed [Expected: -101, Actual  : -4]
	#ant -propertyfile debian/ant.properties -buildfile debian/build-override.xml test-core
	#Testsuite runs ~15 min on my machine. Seems too much for the Debian build daemons
	#ant -propertyfile debian/ant.properties -buildfile debian/build-override.xml test-core-java

override_dh_clean:
	dh_clean --exclude=src/java \
             --exclude=src/docs \
             --exclude=src/c \
             --exclude=src/reciped
	jh_clean

# the original build.xml deletes too much
override_dh_auto_clean:
	dh_testdir
	rm -rf .revision
	rm -rf build
	rm -rf src/c/generated
	rm -rf src/java/generated
	rm -rf src/java/main/org/apache/jute/compiler/generated/*.java
	rm -f zookeeper*.jar
	#The following line caused lintian tag debian-rules-ignores-make-clean-error
	#-$(MAKE) -C src/c distclean
	#replaced by
	[ ! -f src/c/Makefile ] || $(MAKE) -C src/c distclean
	rm -f src/c/config.log src/c/config.status
	[ ! -f src/contrib/zktreeutil/Makefile ] || $(MAKE) -C src/contrib/zktreeutil distclean
	rm -rf src/contrib/zktreeutil/autom4te.cache
	rm -rf src/contrib/zktreeutil/Makefile.in
	rm -rf src/contrib/zktreeutil/aclocal.m4
	rm -rf src/contrib/zktreeutil/config.h.in
	rm -rf src/contrib/zktreeutil/configure
	rm -rf src/contrib/zktreeutil/depcomp
	rm -rf src/contrib/zktreeutil/install-sh
	rm -rf src/contrib/zktreeutil/missing
	rm -rf src/contrib/zktreeutil/src/Makefile.in
	rm -rf zktreeutil.man
	rm -rf src/c/Makefile.in
	rm -rf src/c/aclocal.m4
	rm -rf src/c/autom4te.cache
	rm -rf src/c/compile
	rm -rf src/c/config.guess
	rm -rf src/c/config.sub
	rm -rf src/c/configure
	rm -rf src/c/ltmain.sh

override_dh_installdocs:
	dh_installdocs --link-doc=libzookeeper-java \
	  -plibzookeeper-java -pzookeeper -pzookeeperd -plibzookeeper-java-doc
	dh_installdocs --link-doc=libzookeeper2 \
	  -plibzookeeper2 -plibzookeeper-dev -pzookeeper-bin -ppython-zookeeper

# javahelper can't install two javadoc dirs per package
override_jh_installjavadoc:
	true

override_dh_installinit:
	dh_installinit -d

# jh_depends fails for me:
# - I can not specify, that I need a minimal version of log4j
# - It unnecesseraly pulls libjaxp1.3-java in Depends, although this is only a
#   transitiv dependency of libxerces2-java
override_jh_depends:
	true

# some utf8 error? Don't need them anyway by now
override_jh_classpath override_jh_manifest override_jh_exec:
	true

## zookeeper 3.3.3+dfsg2

=== debian/changelog ===
zookeeper (3.3.3+dfsg2-1ubuntu1) oneiric; urgency=low

  * d/zookeeper.cron.daily: handle return code of 1 so daily cron job
    does not produce error emails when the package is removed but not
    purged. (LP: #830601)

 -- Clint Byrum <clint@ubuntu.com>  Sun, 21 Aug 2011 10:13:55 -0700

zookeeper (3.3.3+dfsg2-1) unstable; urgency=low

  * Re-enable python 2.7 modules (Closes: #633690):
    - debian/control: X-Python-Version: >= 2.6
  * debian/copyright: added EPL-1.0 for src/contrib/zooinspector/icons/*.
  * debian/patches/fixes/ZOOKEEPER-1033: Cherry picked patch from 3.4.0 
    so that headers for c bindings are installed to /usr/include/zookeeper.
  * Purged additional non-DFSG files from upstream source:
    - src/java/test/data/* : invalid snapshot and upgrade testing data.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jul 2011 10:01:47 +0100

zookeeper (3.3.3+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Resolve FTBFS on mips and hppa - platforms should not be supported 
    as zookeeper needs default-jdk >= 1:1.6 (Closes: #626020,#594970).
  * Added myself to Uploaders.
  * Removed Thomas Koch from Uploaders - thanks for all of your work.
  * Bumped Standards-Version: 3.9.2; no changes.
  * Transition to dh_python2.
  * Fixed FTBFS due to -Werror actually working and causing build 
    failures in gcc >= 4.6.1 (Closes: #625441).
  * debian/bin/zkPurgeTxnLog.sh: Switch DATADIR and DATALOGDIR to match
    parameter ordering in Zookeeper code (Closes: #601383) - thanks to 
    Paul Paradise for identifying this issue and the fix.
  * debian/copyright: upgrade to DEP-5 format.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jul 2011 16:56:06 +0100

=== debian/control ===
Source: zookeeper
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>
Homepage: http://hadoop.apache.org/zookeeper
Vcs-Browser: http://git.debian.org/?p=pkg-java/zookeeper.git
Vcs-Git: git://git.debian.org/pkg-java/zookeeper.git
Standards-Version: 3.9.2
Build-Depends:
 ant (>= 1.6.0),
 autoconf,
 automake,
 debhelper (>= 7.4.11),
 default-jdk (>= 1:1.6),
 default-jdk-doc,
 help2man,
 javacc,
 javahelper (>= 0.28),
 junit4,
 libboost-dev,
 libcppunit-dev,
 libjline-java,
 liblog4cxx10-dev,
 liblog4j1.2-java (>> 1.2.15-8),
 libnetty-java,
 libtool,
 libxerces2-java,
 libxml2-dev,
 python-all-dev (>= 2.6.6-3~)
X-Python-Version: >= 2.6

Package: libzookeeper-java
Architecture: all
Depends:
 libjline-java,
 liblog4j1.2-java (>> 1.2.15-8),
 libnetty-java,
 libxerces2-java,
 ${misc:Depends}
Description: Core Java libraries for zookeeper 
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the java .jar files.

Package: zookeeper
Architecture: all
Depends:
 adduser,
 default-jre-headless | java6-runtime-headless,
 libzookeeper-java (= ${binary:Version}),
 ${misc:Depends}
Description: High-performance coordination service for distributed applications
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the shell scripts and an example configuration but does
 not automatically start up the service. The example configuration is installed
 with the update-alternatives mechanism.

Package: zookeeperd
Architecture: all
Depends: lsb-base (>= 3.2-14), zookeeper (= ${binary:Version}), ${misc:Depends}
Description: Init control scripts for zookeeper 
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains init.d scripts to start and stop zookeeper and starts
 zookeeper on installation.

Package: libzookeeper-java-doc
Section: doc
Architecture: all
Depends: libzookeeper-java (= ${binary:Version}), ${misc:Depends}
Description: API Documentation for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.

Package: libzookeeper2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the runtime files for the C bindings.

Package: libzookeeper-dev
Architecture: any
Section: libdevel
Depends: libzookeeper2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Development files for zookeeper C bindings
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the development files for the C bindings.

Package: zookeeper-bin
Architecture: any
Section: misc
Depends: libzookeeper2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Command line utilities for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains additional zookeeper command line utilities using the C
 binding. See the "zookeeper" package for command line utilities using the java
 binding.

Package: python-zookeeper
Architecture: any
Section: python
XB-Python-Version: ${python:Versions}
Depends:
 libzookeeper2 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Python bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the Python bindings.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
-export JAVA_HOME=/usr/lib/jvm/default-java/
-#export CLASSPATH=lib/*:build/classes:debian/_jh_build.zookeeper
+export JAVA_HOME=/usr/lib/jvm/default-java
 
 PYVERS := $(shell pyversions -vr)
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
 
 %:
-	dh --with javahelper $@
+	dh --with javahelper --with python2 $@
 
 override_dh_auto_build:
 	# TODO exclude the fatjar contrib from upstream tarball and include the rest contrib
@@ -14,7 +14,7 @@
 	javacc -OUTPUT_DIRECTORY=src/java/main/org/apache/jute/compiler/generated src/java/main/org/apache/jute/compiler/generated/rcc.jj
 	# the upstream build file includes .java files in the jars. Let's create the jars ourselves.
 	# see: https://issues.apache.org/jira/browse/ZOOKEEPER-537
-	ant -Dversion=3.3.1 -DlastRevision=-1 javadoc javadoc-dev jar
+	ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 javadoc javadoc-dev jar
 
 	# compile C library
 	cd src/c && autoreconf -i
@@ -22,8 +22,8 @@
 	$(MAKE) -C src/c
 
 	# compile contribs
-	cd src/contrib && ant -Dversion=3.3.1 -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="bookkeeper/build.xml"
-	cd src/contrib && ant -Dversion=3.3.1 -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="zooinspector/build.xml"
+	cd src/contrib && ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="bookkeeper/build.xml"
+	cd src/contrib && ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="zooinspector/build.xml"
 
 	cd src/contrib/zkpython && \
 	  for pv in $(PYVERS); do \
@@ -114,5 +114,5 @@
 	true
 
 # some utf8 error? Don't need them anyway by now
-override_jh_classpath override_jh_manifest override_jh_exec:
-	true
+#override_jh_classpath override_jh_manifest override_jh_exec:
+#	true

## zookeeper 3.3.4+dfsg1

=== debian/changelog ===
zookeeper (3.3.4+dfsg1-2) unstable; urgency=low

  * Added new libzookeeper-st{2,-dev} packages (Closes: #650938) and 
    renamed libzookeeper{2,-dev} -> libzookeeper-mt{2,-dev}.
  * Added transitional package libzookeeper2 -> libzookeeper-mt2.
  * Convert libzookeeper-{st,mt}2 for MultiArch support.
  * Disable detection of cygwin as not relevant for Debian based
    installs and complicates configuration (Closes: #650882). Thanks
    to Akira Kitada for this patch.
  * Really close RFH (Closes: #579791).

 -- James Page <james.page@ubuntu.com>  Mon, 12 Dec 2011 13:31:47 +0000

zookeeper (3.3.4+dfsg1-1) unstable; urgency=low

  [ James Page ]
  * New upstream release:
    - d/patches/fixes/ZOOKEEPER-1117: Dropped - fix included upstream.
    - Refreshed patches.
  * Added support for upstart under Ubuntu (LP: #862762):
    - d/rules,d/zookeeperd.upstart.in: Detect Ubuntu and swap in provided 
      upstart configuration if required.
    - d/ubuntu|debian_control_vars,d/control,d/rules: Provide different Depends 
      for zookeeperd package when building under Ubuntu/Debian.
  * Enabled C and Java test suites:
    - d/control,d/compat: Bumped debhelper compat level to 8 to allow 
      arch/indep overrides.
    - d/rules: Enable test suites for -arch and -indep builds.
    - d/patches/debian/patch-build-system: Patch unit testing to exclude 
      InvalidSnapshot and Upgrade tests (non-free data) and to pickup 
      junit4 from system library.
    - d/rules: Disable test suite execution for the time being as does 
      not run reliably.
  * Close RFH for this package (LP: #579791).

  [ Damien Raude-Morvan ]
  * Add DMUA flag for James Page.
  * Build-Depends on procps for test suite.

 -- James Page <james.page@ubuntu.com>  Thu, 01 Dec 2011 15:03:53 +0000

zookeeper (3.3.3+dfsg2-2) unstable; urgency=low

  * Updated patch for ZOOKEEPER-1117 with fixes accepted into
    zookeeper 3.4.0 upstream; should also resolve FTBFS on ia64.
  * Close RFH from original maintainer (Closes: #602694).
  * debian/zookeeper.cron.daily: handle return code of 1 so daily cron job
    does not produce error emails when the package is removed but not
    purged (Closes: #582757). Thanks to Clint Byrum for this fix.

 -- James Page <james.page@ubuntu.com>  Wed, 31 Aug 2011 08:51:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zookeeper
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>
 Homepage: http://hadoop.apache.org/zookeeper
 Vcs-Browser: http://git.debian.org/?p=pkg-java/zookeeper.git
@@ -10,9 +9,10 @@
 Standards-Version: 3.9.2
 Build-Depends:
  ant (>= 1.6.0),
+ ant-optional,
  autoconf,
  automake,
- debhelper (>= 7.4.11),
+ debhelper (>= 8.9.7~),
  default-jdk (>= 1:1.6),
  default-jdk-doc,
  help2man,
@@ -28,8 +28,10 @@
  libtool,
  libxerces2-java,
  libxml2-dev,
+ procps,
  python-all-dev (>= 2.6.6-3~)
 X-Python-Version: >= 2.6
+DM-Upload-Allowed: yes
 
 Package: libzookeeper-java
 Architecture: all
@@ -39,7 +41,7 @@
  libnetty-java,
  libxerces2-java,
  ${misc:Depends}
-Description: Core Java libraries for zookeeper 
+Description: Core Java libraries for zookeeper
  ZooKeeper is a centralized, reliable, service for maintaining configuration
  information, naming, providing distributed synchronization, and group
  services. All of these kinds of services are used in some form or another by
@@ -66,8 +68,8 @@
 
 Package: zookeeperd
 Architecture: all
-Depends: lsb-base (>= 3.2-14), zookeeper (= ${binary:Version}), ${misc:Depends}
-Description: Init control scripts for zookeeper 
+Depends: zookeeper (= ${binary:Version}), ${misc:Depends}, ${zookeeperd-deps}
+Description: Init control scripts for zookeeper
  ZooKeeper is a centralized, reliable, service for maintaining configuration
  information, naming, providing distributed synchronization, and group
  services. All of these kinds of services are used in some form or another by
@@ -86,34 +88,87 @@
  services. All of these kinds of services are used in some form or another by
  distributed applications.
 
-Package: libzookeeper2
+Package: libzookeeper-mt2
 Architecture: any
 Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: C bindings for zookeeper
+Description: Multi threaded C bindings for zookeeper
  ZooKeeper is a centralized, reliable, service for maintaining configuration
  information, naming, providing distributed synchronization, and group
  services. All of these kinds of services are used in some form or another by
  distributed applications.
  .
- This package contains the runtime files for the C bindings.
+ This package contains the multi-threaded libraries for the C bindings.
 
-Package: libzookeeper-dev
+Package: libzookeeper-st2
 Architecture: any
-Section: libdevel
-Depends: libzookeeper2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: Development files for zookeeper C bindings
+Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Single threaded C bindings for zookeeper
  ZooKeeper is a centralized, reliable, service for maintaining configuration
  information, naming, providing distributed synchronization, and group
  services. All of these kinds of services are used in some form or another by
  distributed applications.
  .
- This package contains the development files for the C bindings.
+ This package contains the single-threaded libraries for the C bindings.
+
+Package: libzookeeper2
+Architecture: any
+Priority: extra
+Section: oldlibs
+Depends: libzookeeper-mt2 (= ${binary:Version}), ${misc:Depends}
+Description: C bindings for zookeeper - transitional package
+ ZooKeeper is a centralized, reliable, service for maintaining configuration
+ information, naming, providing distributed synchronization, and group
+ services. All of these kinds of services are used in some form or another by
+ distributed applications.
+ .
+ Transitional package for renaming of libzookeeper2 -> libzookeeper-mt2.
+
+Package: libzookeeper-mt-dev
+Architecture: any
+Section: libdevel
+Replaces: libzookeeper-dev
+Provides: libzookeeper-dev
+Depends:
+ libzookeeper-mt2 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Conflicts: libzookeeper-dev
+Description: Development files for multi threaded zookeeper C bindings
+ ZooKeeper is a centralized, reliable, service for maintaining configuration
+ information, naming, providing distributed synchronization, and group
+ services. All of these kinds of services are used in some form or another by
+ distributed applications.
+ .
+ This package contains the development files for the multi threaded C bindings.
+
+Package: libzookeeper-st-dev
+Architecture: any
+Section: libdevel
+Replaces: libzookeeper-dev
+Provides: libzookeeper-dev
+Depends:
+ libzookeeper-st2 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Conflicts: libzookeeper-dev
+Description: Development files for single threaded zookeeper C bindings
+ ZooKeeper is a centralized, reliable, service for maintaining configuration
+ information, naming, providing distributed synchronization, and group
+ services. All of these kinds of services are used in some form or another by
+ distributed applications.
+ .
+ This package contains the development files for the single threaded C bindings.
 
 Package: zookeeper-bin
 Architecture: any
 Section: misc
-Depends: libzookeeper2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libzookeeper-mt2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Command line utilities for zookeeper
  ZooKeeper is a centralized, reliable, service for maintaining configuration
  information, naming, providing distributed synchronization, and group
@@ -129,7 +184,7 @@
 Section: python
 XB-Python-Version: ${python:Versions}
 Depends:
- libzookeeper2 (= ${binary:Version}),
+ libzookeeper-mt2 (= ${binary:Version}),
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

PYVERS := $(shell pyversions -vr)
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with javahelper --with python2

override_dh_auto_build:
	# TODO exclude the fatjar contrib from upstream tarball and include the rest contrib
	mkdir -p build/test/classes
	javacc -OUTPUT_DIRECTORY=src/java/main/org/apache/jute/compiler/generated src/java/main/org/apache/jute/compiler/generated/rcc.jj
	# the upstream build file includes .java files in the jars. Let's create the jars ourselves.
	# see: https://issues.apache.org/jira/browse/ZOOKEEPER-537
	ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 javadoc javadoc-dev jar

	# Compile C library
	cd src/c && autoreconf -i
	cd src/c && ./configure --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) -C src/c

	# Compile contribs - bookkeeper
	cd src/contrib && ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="bookkeeper/build.xml"
	# Compile contribs - zooinspector
	cd src/contrib && ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 -Ddest.dir=../../build/zookeeper -Divy.jar.exists=true -Divy.initialized=true -Dcontribfilesetincludes="zooinspector/build.xml"

	# Build Python Bindings
	cd src/contrib/zkpython && \
	  for pv in $(PYVERS); do \
	    python$$pv src/python/setup.py build --build-base=$(CURDIR)/build ;\
	  done

	# Compile zktreeutil and generate man page
	cd src/contrib/zktreeutil && autoreconf -if && ./configure --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) && make
	LD_LIBRARY_PATH=src/c/.libs help2man -N --version-string=0.0 src/contrib/zktreeutil/src/zktreeutil >zktreeutil.man

override_dh_install:
	$(MAKE) -C src/c install DESTDIR=$(CURDIR)/debian/tmp
	cd src/contrib/zkpython && \
	  for pv in $(PYVERS); do \
	    python$$pv src/python/setup.py build --build-base=$(CURDIR)/build \
	               install --root=$(CURDIR)/debian/tmp --install-layout=deb ;\
	  done
	# Generate install files for Multiarch capability
	for install in libzookeeper-mt2 libzookeeper-st2 \
				   libzookeeper-st-dev libzookeeper-mt-dev; do \
		sed -e 's/__ARCH__/$(DEB_HOST_MULTIARCH)/g' debian/$$install.install.in \
			> debian/$$install.install; \
	done
	dh_install

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#override_dh_auto_test-arch:
#	# C testing starts/stops zookeeper
#	# this ensures that all the right classes are found
#	for jar in jline log4j-1.2 xercesImpl xmlParserAPIs; do \
#		ln -sf /usr/share/java/$$jar.jar build/lib/$$jar.jar; \
#	done;
#	# Execute multi-threaded test suite
#	$(MAKE) -C src/c zktest-mt
#	cd src/c && ./zktest-mt
#
#override_dh_auto_test-indep:
#	# Run core Java test suite against zookeeper
#	ant -Dversion=$(DEB_UPSTREAM_VERSION) -DlastRevision=-1 test-core-java
#endif

override_dh_clean:
	dh_clean --exclude=src/java \
             --exclude=src/docs \
             --exclude=src/c \
             --exclude=src/reciped
	jh_clean
	rm -rf debian/*.upstart
	# Clean generated install files
	for install in libzookeeper-mt2 libzookeeper-st2 \
				   libzookeeper-st-dev libzookeeper-mt-dev; do \
		[ ! -f debian/$$install.install ] || rm debian/$$install.install; \
	done

# the original build.xml deletes too much
override_dh_auto_clean:
	dh_testdir
	rm -rf .revision
	rm -rf build
	rm -rf src/c/generated
	rm -rf src/java/generated
	rm -rf src/java/main/org/apache/jute/compiler/generated/*.java
	rm -f zookeeper*.jar
	[ ! -f src/c/Makefile ] || $(MAKE) -C src/c distclean
	rm -f src/c/config.log src/c/config.status
	[ ! -f src/contrib/zktreeutil/Makefile ] || $(MAKE) -C src/contrib/zktreeutil distclean
	rm -rf src/contrib/zktreeutil/autom4te.cache
	rm -rf src/contrib/zktreeutil/Makefile.in
	rm -rf src/contrib/zktreeutil/aclocal.m4
	rm -rf src/contrib/zktreeutil/config.h.in
	rm -rf src/contrib/zktreeutil/configure
	rm -rf src/contrib/zktreeutil/depcomp
	rm -rf src/contrib/zktreeutil/install-sh
	rm -rf src/contrib/zktreeutil/missing
	rm -rf src/contrib/zktreeutil/src/Makefile.in
	rm -rf zktreeutil.man
	rm -rf src/c/Makefile.in
	rm -rf src/c/aclocal.m4
	rm -rf src/c/autom4te.cache
	rm -rf src/c/compile
	rm -rf src/c/config.guess
	rm -rf src/c/config.sub
	rm -rf src/c/configure
	rm -rf src/c/ltmain.sh
	rm -rf src/c/TEST-*

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_installdocs:
	dh_installdocs --link-doc=libzookeeper-java \
	  -plibzookeeper-java -pzookeeper -pzookeeperd -plibzookeeper-java-doc
	dh_installdocs --link-doc=libzookeeper-mt2 \
	  -plibzookeeper-mt2 -plibzookeeper-mt-dev -pzookeeper-bin \
      -ppython-zookeeper -plibzookeeper2
	dh_installdocs --link-doc=libzookeeper-st2 \
	  -plibzookeeper-st2 -plibzookeeper-st-dev
endif

# Install init script for Debian and upstart for Ubuntu
override_dh_installinit:
	if dpkg-vendor --derives-from ubuntu ; then \
		cp debian/zookeeperd.upstart.in debian/zookeeperd.upstart ; \
	fi
	dh_installinit -d

# init/upstart require difference dependencies for zookeeperd
override_dh_gencontrol:
	if dpkg-vendor --derives-from ubuntu ; then \
        dh_gencontrol -- -T$(CURDIR)/debian/ubuntu_control_vars ; \
    else \
        dh_gencontrol -- -T$(CURDIR)/debian/debian_control_vars ; \
    fi

## zookeeper 3.3.5+dfsg1

=== debian/changelog ===
zookeeper (3.3.5+dfsg1-2) unstable; urgency=low

  * d/patches/fixes/ZOOKEEPER-1431: Fix up memory leak in zookeeper
    python binding which results in significant memory growth for large
    result sets (Closes: #665962). Thanks to Johan Rydberg for identifying 
    this bug and Kapil Thangavelu for the patch.

 -- James Page <james.page@ubuntu.com>  Mon, 28 May 2012 11:51:03 +0100

zookeeper (3.3.5+dfsg1-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2012 18:00:25 +0200

zookeeper (3.3.5+dfsg1-1) unstable; urgency=low

  * New upstream bugfix release.
    - d/fix-broken-c-client-unittest.patch: Dropped - accepted upstream.
    - Refreshed all other patches.
  * Bumped Standards-Version: 3.9.3.
  * Fix issue with quoting of parameters in zkCli.sh (Closes: #661837):
    - d/patches/fixes/ZOOKEEPER-1403: Ensure parameters are correctly
      quoted - thanks to John Eikenberry for this fix.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Mar 2012 21:20:30 +0000

zookeeper (3.3.4+dfsg1-3) unstable; urgency=low

  * Sync changes from Ubuntu:
    - Switch zookeeperd upstart configuration to use start-stop-daemon.
      Thanks to Clint Byrum for this fix.
    - Enable C and Java test suites:
      - d/patches/fixes/ZOOKEEPER-1374: Use __sync_* primitives
        instead of ASM code when available to improve portability across 
        supported platforms.
      - d/patches/fix-broken-c-client-test.patch: Fixes the unit test so
        it will pass with EINVAL which is the correct error. Thanks to
        Clint Byrum for this fix.
      - d/rules: Enable C client test suite for all architectures.
      - d/rules: Only run core Java test suite when building 
        Architecture: all packages.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Jan 2012 13:21:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://hadoop.apache.org/zookeeper
 Vcs-Browser: http://git.debian.org/?p=pkg-java/zookeeper.git
 Vcs-Git: git://git.debian.org/pkg-java/zookeeper.git
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends:
  ant (>= 1.6.0),
  ant-optional,
@@ -68,7 +68,7 @@
 
 Package: zookeeperd
 Architecture: all
-Depends: zookeeper (= ${binary:Version}), ${misc:Depends}, ${zookeeperd-deps}
+Depends: zookeeper (= ${binary:Version}), ${misc:Depends}, lsb-base (>= 3.2-14)
 Description: Init control scripts for zookeeper
  ZooKeeper is a centralized, reliable, service for maintaining configuration
  information, naming, providing distributed synchronization, and group

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
  http://www.apache.org/dist/zookeeper/stable/zookeeper-([0-9.]+).tar.gz \
  debian
